Joomla! България

Стари версии на Джумла! => Joomla! 2.5 => Общи въпроси за Joomla! 2.5 => Темата е започната от: ungozy в 03 Октомври, 2015, 23:09:38

Титла: проблем с инсталация на Joomla 2.5 на Суперхостинг
Публикувано от: ungozy в 03 Октомври, 2015, 23:09:38
Здравейте!
За първи път имам проблем с инсталация на Joomla 2.5 на сървърите на "Суперхостинг". Закупил съм един шаблон на "smartaddons" и миналата година го инсталирах чрез "quickstart" пакета на същия хостинг без проблем. Сега искам да го инсталирам на друг нов домейн пак чрез "quickstart" пакета за други цели и се сблъсквам с това съобщение, което излиза  още в началото на страницата :

Deprecated: iconv_set_encoding(): Use of iconv.internal_encoding is deprecated in /home/elikabbg/public_html/libraries/joomla/string/string.php on line 28

Deprecated: iconv_set_encoding(): Use of iconv.input_encoding is deprecated in /home/elikabbg/public_html/libraries/joomla/string/string.php on line 29

Deprecated: iconv_set_encoding(): Use of iconv.output_encoding is deprecated in /home/elikabbg/public_html/libraries/joomla/string/string.php on
line 30


Вероятно има нова версия на Apache Server-а и има някаква конфронтация, но това е съвсем нов проблем за мен и не мога да се справя.
Може ли някой да помогне и да каже на какво се дължи това, както и някакво предложение за решение на проблема?
Титла: Re: проблем с инсталация на Joomla 2.5 на Суперхостинг
Публикувано от: Бого в 04 Октомври, 2015, 15:11:45
Здравей,

виж версията, PHP 5.6 .

/Apache 2.4.10, MySQL 5.6.21, PHP 5.6.3, phpMyAdmin 4.2.11/
Титла: Re: проблем с инсталация на Joomla 2.5 на Суперхостинг
Публикувано от: ungozy в 04 Октомври, 2015, 18:02:32
Здравей,
Благодаря за отговора!
това, което виждам като данни е:

Apache версия   2.2.31

PHP версия   5.6.13

MySQL версия   5.5.42-cll

phpMyAdmin      Версия: 4.0.10.7, актуална стабилна версия: 4.5.0.2

та аз пак съм на същата позиция и не знам какво да направя!
Титла: Re: проблем с инсталация на Joomla 2.5 на Суперхостинг
Публикувано от: Бого в 04 Октомври, 2015, 18:30:58
Инсталирай чиста Джумла за тест и кажи какъв е резултата.
Титла: Re: проблем с инсталация на Joomla 2.5 на Суперхостинг
Публикувано от: ungozy в 04 Октомври, 2015, 18:35:39
Добре! Сега ще пробвам!
Титла: Re: проблем с инсталация на Joomla 2.5 на Суперхостинг
Публикувано от: ungozy в 04 Октомври, 2015, 18:58:52
 Здравей отново,
Чиста Joomla! 2.5.27 Инсталация - отново:

Deprecated: iconv_set_encoding(): Use of iconv.internal_encoding is deprecated in /home/elikabbg/public_html/libraries/joomla/string/string.php on line 28

Deprecated: iconv_set_encoding(): Use of iconv.input_encoding is deprecated in /home/elikabbg/public_html/libraries/joomla/string/string.php on line 29

Deprecated: iconv_set_encoding(): Use of iconv.output_encoding is deprecated in /home/elikabbg/public_html/libraries/joomla/string/string.php on line 30


Титла: Re: проблем с инсталация на Joomla 2.5 на Суперхостинг
Публикувано от: ItsoWD1 в 04 Октомври, 2015, 20:34:58
Напиши им 1 тикет и ще ти го оправят ;)
Титла: Re: проблем с инсталация на Joomla 2.5 на Суперхостинг
Публикувано от: Бого в 04 Октомври, 2015, 21:37:45
Така, пробвай този вариант

public_html\joomla\libraries\joomla\string\string.php

string.php  в този файл намираш този код

if (function_exists('iconv'))
{
// These are settings that can be set inside code
iconv_set_encoding("internal_encoding", "UTF-8");
iconv_set_encoding("input_encoding", "UTF-8");
iconv_set_encoding("output_encoding", "UTF-8");
}

и го заменяш с този

if (function_exists('iconv') && PHP_VERSION_ID < 50600)
{
// These are settings that can be set inside code
iconv_set_encoding("internal_encoding", "UTF-8");
iconv_set_encoding("input_encoding", "UTF-8");
iconv_set_encoding("output_encoding", "UTF-8");
}
elseif (PHP_VERSION_ID >= 50600)
{
ini_set("default_charset", "UTF-8");
}